Subject: Comments on Specify Local LU Name proposal

From: "Plank, Larry K (1-507-253-4750)" <[email-masked]>
Date: Fri, 28 Jan 94 15:22:42 CST

Just a couple of observations on the proposal by Dennis Chimienti to add
Set/Extract_Local_LU_Name calls to CPIC.

The LU_name_length would have to be 1 to 17 characters on both calls in order
to provide Fully Qualified LU Names.

I don't understand the reason you are requesting this call. The CPIC API was
created to be a simple easy to use interface that one could use to write
portable applications. To reach this end the partner LU, local LU, mode, and
TPN were moved to the side information. It was deemed necessary in order to
make a portable pgm and shield the appl developer from all this "comm" stuff.
So it was moved to the side info where a system pgm could handle it. If we add
a CMSLLN call, now the pgm gets involved and the program does not port. It not
only won't port from one platform to another eg. Apple to AS/400 but it would
not port from one AS/400 box to another without change to the appl or change to
the network to move the specified LU along with the appl from one box to
another to avoid duplicate LU names in the same network.

I question the necessity and wisdom of providing this call. It is also not
clear in your proposal what happens if the specified LU is not defined on the
node. Would you be expecting a local LU to be defined, if yes then we need a
lot more information. I would oppose doing this. I would assume the call would
fail.
Larry Plank